Bug 205873 - riva can't do 16bpp
riva can't do 16bpp
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-09 05:25 EDT by Jeffery M. Chan
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:47:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FC5 /tmp after the two X server startup failures. (760.25 KB, application/octet-stream)
2006-09-09 05:25 EDT, Jeffery M. Chan
no flags Details

  None (edit)
Description Jeffery M. Chan 2006-09-09 05:25:22 EDT
Description of problem:

When I try to install FC5.  I get the following error message on the console.

        Running anaconda, the Fedora Core installer - please wait... 
        Probing for video card:   Nvidia / SGS Thomson (Joint Venture) Riva128
        Probing for monitor type:   Unknown monitor
        Attempting to start native X server
        Waiting for X server to start...log located in /tmp/X.log
        1...2...3...4...5....X SERVER FAILEDAttempting to start VESA driver X server
        Waiting for X server to start...log located in /tmp/X.log
        1...2...3...4...5....X SERVER FAILED X startup failed, falling back to
text mode

After this, I get the text mode version of the "Welcome to Fedora Core" message.

The problem is that I am unable to run the graphical installer.

I hit alt-F2 to get to the root console running there.  From this I was
able to tar the /tmp directory and copy it to a floppy.  This is attached
as fc5_tmp.tar.gz.

The /tmp directory has a few of X.log files: /tmp/X.log, /tmp/ramfs/X.log,
and /tmp/ramfs/X.log.old.  All of them has this error message.

        (EE) RIVA128(0): Given depth (16) is not supported by this driver

The /tmp directory also has the pyxf86config/libxf86config-generated
XConfig.test.  In a nutshell, this specifies the "nv" driver and a
DefaultDepth of 16.

The video card in question is a Diamond Viper V330, which uses the RIVA 128
chip.

The "nv" driver is correct, but the RIVA128 doesn't work with a depth
of 16.  Refer to the "nv" man page.  It also tells us that this does work with
depths of 8, 15 and 24.

I'm running FC4 with a depth of 24.

I get this problem in trying to install FC5 and FC6t2.  With FC4, I'm able
to get the graphical install screen, but it looks like anaconda does this by
starting up the VESA driver X server (why that's not happening in FC5 and
FC6t2 will be logged separately under anaconda).

So, would it be possible to get pyxf86config to generate a XConfig.test
that uses a DefaultDepth of 15 for the RIVA128?

-Jeff Chan


Version-Release number of selected component (if applicable):
        pyxf86config-0.3.27-1.i386

How reproducible:
        Install FC5/FC6t2 with a RIVA128 video card.
        I'm not sure if you can run pyxf86config and specify RIVA128.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
        Be able to do a grapical install.

Additional info:
Comment 1 Jeffery M. Chan 2006-09-09 05:25:24 EDT
Created attachment 135898 [details]
FC5 /tmp after the two X server startup failures.
Comment 2 Chris Lumens 2006-09-11 10:39:51 EDT
Is it possible for the driver to support this depth on this card, or do we need
to start some horrible list of special cases in pyxf86config/rhpxl?
Comment 3 Adam Jackson 2006-09-14 17:26:34 EDT
riva128 really doesn't support 16bpp.  why are we not trying to run it at 24?

I'm not sure how hard it would be to hack it to interpret 16 as 15.
Comment 4 Adam Jackson 2006-10-03 11:46:03 EDT
We should be generating config files with defaultdepth of 24 now.
Comment 5 Matthew Miller 2007-04-06 15:25:25 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Matěj Cepl 2007-07-12 10:47:13 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.